<?php

function dnrdp()
{
require('../cfg/res.php');
mysql_query("SET NAMES 'utf8'");


?>


<script type="text/javascript">
<?php include('../../_js/fecha_format.js');?>

function _fecha(e,idfec)
{
//if(e.keyCode==9 || e.keyCode==13)
	if(e.keyCode==13)
	{
		var fn=document.getElementById(idfec).value;
		fn=fecha_format(fn);
		document.getElementById(idfec).value=fn;
	}
}	

function sriats1d(grupox,idnumx,obj)
{
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';
	var fini=document.getElementById('fecha_ini').value;
		fini=fecha_format(fini);
	var ffin=document.getElementById('fecha_fin').value;
		ffin=fecha_format(ffin);
$.ajax({
		cache:false,
		url:'../lib/vrnrdp1d.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{grupo:grupox,idnum:idnumx,fini:fini,ffin:ffin},
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			 document.getElementById('anextot2').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              document.getElementById('anextot2').innerHTML='Not connect: Verify Network.';
           } else if (jqXHR.status == 404) {
               document.getElementById('anextot2').innerHTML='Requested page not found [404]';
           } else if (jqXHR.status == 500) {
               document.getElementById('anextot2').innerHTML='Internal Server Error [500].';
           } else if (exception === 'parsererror') {
               document.getElementById('anextot2').innerHTML='Requested JSON parse failed.';
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   document.getElementById('anextot2').innerHTML='Servidor no Responde';
           } else if (exception === 'abort') {
               document.getElementById('anextot2').innerHTML='Ajax request aborted.';
           } else {
               document.getElementById('anextot2').innerHTML='Uncaught Error: ' + jqXHR.responseText;
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
 
			}           
		},
		timeout:60000
	});

}


function redireccionar() 
{

var fecha_ini=document.getElementById('fecha_ini').value;
	fecha_ini=fecha_format(fecha_ini);

var fecha_fin=document.getElementById('fecha_fin').value;
	fecha_fin=fecha_format(fecha_fin);

/*
var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;
var fordet=document.getElementById('fordet').checked;

var fcodis=document.getElementById('fcodis').checked;
var fcodia=document.getElementById('fcodia').checked;
var fcodie=document.getElementById('fcodie').checked;


var fposi=document.getElementById('fposi').checked;
var fcero=document.getElementById('fcero').checked;
var fnega=document.getElementById('fnega').checked;

var flsub=document.getElementById('flsub').value;
var fbode=document.getElementById('fbode').value;
var fmdlo=document.getElementById('fmdlo').value;
var fmrca=document.getElementById('fmrca').value;
var fctlg=document.getElementById('fctlg').value;

var fcodi='1';
var fgrou='D';
var forde='D';



if (fcodis){fcodi='1';}
if (fcodia){fcodi='2';}
if (fcodie){fcodi='3';}



if (fordec){forde='C';}
if (forded){forde='D';}
if (fordet){forde='T';}

*/


/*
pagina="?opt=<?php //echo $_GET['opt']?>" 
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fposi="+fposi
+"&fcero="+fcero
+"&fnega="+fnega
+"&fcodi="+fcodi
+"&forde="+forde
+"&fbode="+fbode 
+"&flsub="+flsub 
+"&fmrca="+fmrca
+"&fmdlo="+fmdlo
+"&fctlg="+fctlg;
*/
pagina="?" 
+"fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin ;


location.href=pagina;
} 



function imprimirlista(entix,entid) 
{

var fecha_ini=document.getElementById('fecha_ini').value;
	fecha_ini=fecha_format(fecha_ini);

var fecha_fin=document.getElementById('fecha_fin').value;
	fecha_fin=fecha_format(fecha_fin);

var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;
var fordet=document.getElementById('fordet').checked;

var fcodis=document.getElementById('fcodis').checked;
var fcodia=document.getElementById('fcodia').checked;
var fcodie=document.getElementById('fcodie').checked;


var fposi=document.getElementById('fposi').checked;
var fcero=document.getElementById('fcero').checked;
var fnega=document.getElementById('fnega').checked;

var flsub=document.getElementById('flsub').value;
var fbode=document.getElementById('fbode').value;
var fmdlo=document.getElementById('fmdlo').value;
var fmrca=document.getElementById('fmrca').value;
var fctlg=document.getElementById('fctlg').value;

var fcodi='1';
//var fgrou='D';
var forde='D';



if (fcodis){fcodi='1';}
if (fcodia){fcodi='2';}
if (fcodie){fcodi='3';}



if (fordec){forde='C';}
if (forded){forde='D';}
if (fordet){forde='T';}





pagina="../lib/impr_dnrdp0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fposi="+fposi
+"&fcero="+fcero
+"&fnega="+fnega
+"&fcodi="+fcodi
+"&forde="+forde
+"&fbode="+fbode 
+"&flsub="+flsub 
+"&fmrca="+fmrca
+"&fmdlo="+fmdlo
+"&fctlg="+fctlg;



window.open(pagina);
} 


</script>


<div>

<?php

//$fecha1 = date('Y-m-'.'1');
//$nuevafecha = strtotime ( '-1 year' , strtotime ( $fecha1 ) ) ;
//$xfecha1 = date ( 'Y/m/j' , $nuevafecha );
//$xfecha1 = date('Y/m/'.'1');
//$xfecha2 = date('Y/m/d');

//	$fini1= date('2000-01-01');


//	$enti=$_GET['enti'];

	if(isset($_GET['fecha_ini']) && !empty($_GET['fecha_ini']))
	{
		$fini=$_GET['fecha_ini'];
	}
	else
	{
		$fini=date('2000-01-01');
	}
	
	if(isset($_GET['fecha_fin']) && !empty($_GET['fecha_fin']))
	{
		$ffin=$_GET['fecha_fin'];
	}
	else
	{
		$ffin=date('Y-m-d');
	}




$sql_anexo='select 
	sum(contado) as tcontado,
	sum(credito) as tcredito,
	sum(total) as ttotal,
	sum(saldo) as saldo,
	fanio,fmes
	from dnrdp1
	
	';
	

//$sql_anexo.='fecha >= "'.$fini.'" AND fecha <= "'.$ffin.'"';

if(isset($_GET['fposi']) && ($_GET['fposi']=='true'))
{$xfposi=$_GET['fposi'];}
else
{$xfposi='false';}

if(isset($_GET['fcero']) && ($_GET['fcero']=='true'))
{$xfcero=$_GET['fcero'];}
else
{$xfcero='false';}

if(isset($_GET['fnega']) && ($_GET['fnega']=='true'))
{$xfnega=$_GET['fnega'];}
else
{$xfnega='false';}

if($xfposi=='false' && $xfnega=='false' && $xfcero=='false')
{$xfposi='true';}


$xfcodi='1';
if (mb_stristr('elco',substr($_SESSION['user_vcrx_empr'],0,4)))
{$xfcodi='2';}


if(isset($_GET['fcodi']) && !empty($_GET['fcodi']))
{
	$xfcodi=$_GET['fcodi'];
}
switch ($xfcodi)
{
	case '1': $item_codi='item';break;
	case '2': $item_codi='item_codigov';break;
	case '3': $item_codi='item_ean';break;
	default : $item_codi='item';break;
}
//echo $item_codi;



if(isset($_GET['flsub']) && !empty($_GET['flsub']))
{
	$sql_anexo.=' and  (item_lsub like "'.$_GET['flsub'].'%" or lsub_descri like "%'.$_GET['flsub'].'%" ) ';
	$xflsub=$_GET['flsub'];
}

if(isset($_GET['fmrca']) && !empty($_GET['fmrca']))
{
	$sql_anexo.=' and  (item_mrca like "'.$_GET['fmrca'].'%" ) ';
	$xfmrca=$_GET['fmrca'];
}

if(isset($_GET['fmdlo']) && !empty($_GET['fmdlo']))
{
	$sql_anexo.=' and  (item like "%'.$_GET['fmdlo'].'%" ) ';
	$xfmdlo=$_GET['fmdlo'];
}




if(isset($_GET['fctlg']) && !empty($_GET['fctlg']))
{
	$sql_anexo.=' and  (item_nctlg ='.$_GET['fctlg'].' )';
	$xfctlg=$_GET['fctlg'];
}


//	$sql_anexo.=' and(status!="X") ';
//	$sql_anexo.=' and(status!="O") ';

$xgroup = 'item ';


$xforde='D';
if (mb_stristr('gnya',$_SESSION['user_vcrx_empr']))
{$xforde='C';}

if(isset($_GET['forde']) && !empty($_GET['forde']))
{$xforde=$_GET['forde'];}

$xorder='';
if (mb_stristr('gnya',$_SESSION['user_vcrx_empr']))
{$xorder='item_nctlg desc,';}

switch ($xforde)
{
	case 'D':$xorder.='item_lsub,item_descri ';break;
	case 'C':$xorder.='item_lsub,item';break;
	case 'T':$xorder.='ttcant desc,item_lsub,item  ';break;

	default :$xorder=$xgroup;break;
}




//$res_anexot=mysql_query($sql_anexo,$link_vcrx);

$sql_anexo.=' group by fanio,fmes ';

$sql_anexo.=' order by fanio desc, fmes desc';

$res_anexo=mysql_query($sql_anexo,$link_vcrx);


//echo $sql_anexo;
?>



<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<div align="center">
<span>Fechas</span>
</div>
<div align="right">
<span>Inicial</span> <input type="text" id="fecha_ini" placeholder="aaaa/mm/dd" size="6"  onkeypress="_fecha(event,'fecha_ini');"  value="<?php echo $fini;?>" /> 
</div>
<div align="right">
<span>Final</span> <input type="text" id="fecha_fin" placeholder="aaaa/mm/dd" size="6"  onkeypress="_fecha(event,'fecha_fin');" value="<?php echo $ffin;?>" />
</div>
</th>







<th align="center" style ="border-left:solid 1px;">

<div>
<input type="button" value="Consultar" onclick="redireccionar();"  />
</div>
<br>
<div>
<input type="button" value="Imprimir" onclick="imprimirlista();"  />
</div>
</th>

</tr>
</table>
</div>

<hr/>



<div style="">

<table id="tabla_cxccli" width="50%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px;">

<tr style="border-bottom:#000000 solid 2px; ">
	<th>TXT</th>
	<th>ANIO</th>
	<th>MES</th>
	<th>CONTADO</th>
	<th>CREDITO</th>
	<th>TOTAL</th>
</tr>

<?php 
$filax=0;
$umdlo='';

while($r_anexo=mysql_fetch_assoc($res_anexo))
{
$duni=2;
?>

<?php	
//if(($xfposi=='true' && $r_anexo['ttcant']>0) || ($xfcero=='true' && $r_anexo['ttcant']==0) || ($xfnega=='true' && $r_anexo['ttcant']<0))
if(1==1)
{
?>
	
	<tr>
    <td align="center">     
  		<a href="../lib/down_dnrdp.php?fanio=<?php echo $r_anexo['fanio']; ?>&fmes=<?php echo $r_anexo['fmes']; ?>" target="_blank"><img src="http://vcrxol.com/_img/txt.png" width="20"  title="TXT  <?php echo $r_anexo['item'];?>"  /></a>
	</td>
	<td align="center"><?php echo'<span title="'.$r_anexo['fanio'].'">'.$r_anexo['fanio'].'</span>';?></td>
	<td align="center"><?php echo'<span title="'.$r_anexo['fmes'].'">'.$r_anexo['fmes'].'</span>';?></td>
   	<td align="right"><?php if($r_anexo['tcontado']!=0){echo number_format($r_anexo['tcontado'],$duni);}?></td>
   	<td align="right"><?php if($r_anexo['tcredito']!=0){echo number_format($r_anexo['tcredito'],$duni);}?></td>
   	<td align="right"><?php if($r_anexo['ttotal']!=0){echo number_format($r_anexo['ttotal'],$duni);}?></td>
	</tr>

<?php }?>

<?php }?>
</table>
</div>
<br>
<div id="anextot2"></div>

<?php }?>